Get Number Information
On this page
Look up a number's SMS/MMS configuration and 10DLC status (GET /v5/dids/<number>), or its rate center, routing and activation data (GET /v1/did/lookup).
Overview
Get basic information relating to a number, including rate center, state, sms enablement, and other data.
Authentication
Authentication is done by passing your TSG Global API key via the Authorization header in the format "Authorization: Bearer <api_key>"
SMS and MMS Configuration Method
Returns information about the did (currently SMS and MMS configuration only).
GET https://api-service.tsgglobal.world/v5/dids/<number>
Please ensure that your client processes only recognized properties from the response, as new properties may be added without prior notice. All added props will be documented here.
Path Parameters
| Name | Type | Description |
|---|---|---|
| number* | string | The number that was looked up. |
200: OK
Each property below lists its possible values.
{
"number": "13603556404",
"number_type": "long-code" | "short-code" | "toll-free",
"mms_enabled": true | false,
"mms_uri": "mm4://hooks.staging.tsgglobal.com",
"sms_enabled": true | false,
"campaign_id": null | "C12345",
"compliance_status": "non_compliant" | "pending" | "compliant",
"sms_status": "NONE" | "PENDING" | "ACTIVE" | "ERROR" | "DSBL-PND",
"use_case_type": "" | "p2p" | "a2p",
"nnid": "" | "12345" | null,
"sms_post_ver": "smpp" | "postv1" | "postv2" | "post3jam",
"sms_uri": null | "https://hooks.staging.tsgglobal.com",
"x_api_key_header": null | "" | "abcd1234",
"ten_dlc_registered": true | false,
"tmobile_ten_dlc_registered": true | false
}
Possible sms_status values:
N/AorNONE: number not SMS enabledPENDING: number pending to be enabledDSBL-PND: number pending to be disabledACTIVE: number SMS enabledERROR: unable to SMS enable number, contact support
Additional Data Method
Lookup additional phone number information.
GET https://api-service.tsgglobal.world/v1/did/lookup?did=<1NPANXXXXXX>
If the did parameter is omitted all numbers on the matching account will be listed one per line.
Query Parameters
| Name | Type | Description |
|---|---|---|
| did | string | 1NPANXXXXXX, +NPANXXXXXX, 12022011234, +12022011234 |
200: OK
DID, ROUTING INFO, ACTIVATION DATE, LAST USED DATE, SEC USED, DID RATE, ORDER ID, RATE CENTER, STATE, TIER, PORTED, SMS ENABLED, SMS STATUS, SMS POST VERSION, SMS POST URL, PROVISIONING DATA, MAX CHANNELS
"17867469428","SIP/XXXX","2022-01-11 00:00:00","2022-05-01 00:00:01","0","0.0030000000","CUS9079-SMS","MIAMI","FL","0","N","t","ACTIVE","postv1","","ppm-did-billing-RFC2833-no+","2000"